
Core - Task # 39723

Epic # 55575 (Accepted): Streamline JavaScript Code in the TYPO3 Backend
Feature # 39721 (Resolved): Remove Prototype and script.aculo.us JavaScript libraries

Status: Resolved Priority: Should have
Author: Felix Kopp Category:
Created: 2012-08-12 Assigned To: Andreas Wolf
Updated: 2015-07-18 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Sprint Focus:
Subject: TCEforms: Migrate Suggest wizard to jQuery
Description

The suggest wizard in TCEforms within jsfunc.tceforms_suggest.js is a wrapper for Prototype/Ajax.
This should be migrated over to jQuery.

Related issues:
related to Core - Epic # 58498: Cleanup FormEngine suggest Accepted 2015-06-18

Associated revisions
Revision 621cb905 - 2015-07-18 18:19 - Benjamin Mack

[TASK] Replace Typeahead with jquery autocomplete plugin

Resolves: #68345
Resolves: #39723
Releases: master
Change-Id: I8e54a8a207746d8b7477076ea41d30d7f6a82f0c
Reviewed-on: http://review.typo3.org/41675
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>
Reviewed-by: Benjamin Kott <info@bk2k.info>
Tested-by: Benjamin Kott <info@bk2k.info>
Reviewed-by: Benjamin Mack <benni@typo3.org>
Tested-by: Benjamin Mack <benni@typo3.org>

History
#1 - 2012-08-13 22:33 - Steffen Gebert
- Parent task set to #39721

#2 - 2012-09-02 13:54 - Andreas Wolf
- Status changed from New to Accepted
- Assigned To set to Andreas Wolf
- Start date deleted (2012-08-12)

As I initially wrote the suggest feature, I'll take care of this.
#3 - 2014-09-19 19:11 - Andreas Wolf

My current WIP branch for this is here: https://github.com/andreaswolf/TYPO3.CMS/tree/task/tceforms-suggest-jquery

This is not only a jQuery migration, but also a general refactoring of this feature to put it to a more solid base.

#4 - 2015-07-18 17:25 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41675

#5 - 2015-07-18 18:23 - Benjamin Mack
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:621cb9059f9fc3f9e341aab9d5c4d48ab0ffc403.
